> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy a custom model

> Deploy a custom model.



## OpenAPI

````yaml /api-reference/saas/machine-learning-models.json post /customers/{DEPLOYMENT_ID}/ai/deployments
openapi: 3.1.0
info:
  title: Lucidworks AI Models API
  version: '1.0'
  description: >-
    The Lucidworks AI Models API is used to discover available pre-trained and
    custom models, as well as train and deploy those models.


    The endpoints require an authentication token with scope
    `machinelearning.model`.
  contact:
    name: Lucidworks
    url: https://lucidworks.com/
    email: support@lucidworks.com
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  license:
    name: Lucidworks
    url: https://lucidworks.com/legal/developer-license-agreement/
servers:
  - url: https://api.lucidworks.com
security: []
tags:
  - name: Manage models
    description: View and create models.
  - name: Manage deployments
    description: View and create custom model deployments.
paths:
  /customers/{DEPLOYMENT_ID}/ai/deployments:
    parameters:
      - schema:
          type: string
        name: DEPLOYMENT_ID
        in: path
        required: true
        description: Unique identifier generated when the model is deployed.
    post:
      tags:
        - Manage deployments
      summary: Deploy a custom model
      description: Deploy a custom model.
      operationId: post-deployments
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/postDeployments'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responsePostDeployments'
components:
  schemas:
    postDeployments:
      title: postDeployments
      type: object
      description: POST https://api.lucidworks.com/customers/{CUSTOMER_ID}/ai/deployments
      properties:
        modelId:
          type: string
          description: >-
            The identifier for the custom model being deployed. The value is the
            universally unique identified (UUID) reference the foreign keys for
            the model. 
        region:
          type: string
          description: The geographic region specified when the custom model is deployed.
        minReplicas:
          type: integer
          description: The minimum value of Seldon replicas for the model.
          default: 1
          minimum: 1
        maxReplicas:
          type: integer
          description: The maximum value of Seldon replicas for the model.
          default: 1
          minimum: 1
        config:
          type: object
          description: >-
            The model configuration that is passed to the Docker image in a raw
            JSON blob.
          properties:
            parameter_1:
              type: string
              description: A parameter passed in the `config` object.
            parameter_2:
              type: string
              description: A parameter passed in the `config` object.
    responsePostDeployments:
      title: responsePostDeployments
      type: object
      properties:
        id:
          type: string
          description: >-
            The identifier for the custom model. The value is the universally
            unique identified (UUID) that is the primary key for the model. 
        modelId:
          type: string
          description: >-
            The identifier for the custom model being deployed. The value is the
            universally unique identified (UUID) reference the foreign keys for
            the model. 
        region:
          type: string
          description: The geographic region specified when the custom model is deployed.
        config:
          $ref: '#/components/schemas/deploymentConfig'
          description: >-
            The configuration parameters for model deployment passed to the
            workflow as a raw JSON blob. Multiple parameters can be defined and
            passed.
        minReplicas:
          type: integer
          description: The minimum value of Seldon replicas for the model.
          default: 1
          minimum: 1
        maxReplicas:
          type: integer
          description: The maximum value of Seldon replicas for the model.
          default: 1
          minimum: 1
        state:
          type: string
          description: >-
            This field specifies the current status of the custom model. The
            value is `DEPLOYING`.
        deployedAt:
          type: string
          format: date-time
          description: The date and time the deployment occurred.
        createdBy:
          type: string
          description: The user who created the deployment.
    deploymentConfig:
      title: deploymentConfig
      type: object
      properties:
        parameter_1:
          type: string
          description: >-
            A unique parameter for the model deployment that is passed to the
            workflow as a raw JSON blob.
        parameter_2:
          type: string
          description: >-
            A unique parameter for the model deployment that is passed to the
            workflow as a raw JSON blob.

````